const ITEM_HEIGHT = 48;

// Core component styles
const coreStyles = {
    container: {
        display: 'flex',
    },
    menu: {
        maxHeight: ITEM_HEIGHT * 4.5,
    },
};

/**
 * Helper method to get styles for the Menu Component
 * @param {Object} contextStyles - Custom styles for the Menu component
 */
const getStyles = (contextStyles) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },
        menu: {
            ...coreStyles.menu,
            ...contextStyles.menu,
        },
    };
};

export default getStyles;
